IDataSetRegistrationTransactionV2 (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, interface: IDataSetRegistrationTransactionV2

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Interface IDataSetRegistrationTransactionV2

All Known Implementing Classes:
  `DataSetRegistrationTransaction`, `DataSetRegistrationTransactionV2Delegate`

public interface IDataSetRegistrationTransactionV2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assignRoleToSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)`
  Give users and/or groups access privileges to a space.
  `IDataSet`
  `createNewDataSet()`
  Create a new data set for registration in openBIS.
  `IDataSet`
  `createNewDataSet(String dataSetType)`
  Create a new data set with the specified code.
  `IDataSet`
  `createNewDataSet(String dataSetType, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)`
  `IDataSet`
  `createNewDataSet(String dataSetType, String dataSetCode)`
  Create a new data set with the specified type and code.
  `IDataSet`
  `createNewDataSet(String dataSetType, String dataSetCode, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)`
  `String`
  `createNewDirectory(IDataSet dst, String dirName)`
  Create a new directory and return the path.
  `IExperiment`
  `createNewExperiment(String experimentIdentifierString, String experimentTypeCode)`
  Create a new experiment to register with the openBIS AS.
  `String`
  `createNewFile(IDataSet dst, String fileName)`
  Create a new empty file and return the path.
  `String`
  `createNewFile(IDataSet dst, String dstInDataset, String fileName)`
  Create a new empty file and return the path.
  `String`
  `createNewLink(IDataSet dst, String dstInDataset, String linkName, String linkTarget)`
  Create a new symbolic link and return the path.
  `IMetaproject`
  `createNewMetaproject(String name, String description)`
  Creates the new metaproject for the current user.
  `IMetaproject`
  `createNewMetaproject(String name, String description, String ownerId)`
  Creates the new metaproject for the specified user.
  `IProject`
  `createNewProject(String projectIdentifier)`
  Create a new project to register with the openBIS AS.
  `ISample`
  `createNewProjectSampleWithGeneratedCode(String projectIdentifier, String sampleTypeCode)`
  Create a new project sample to register with the openBIS AS.
  `ISample`
  `createNewSample(String sampleIdentifierString, String sampleTypeCode)`
  Create a new sample to register with the openBIS AS.
  `ISample`
  `createNewSampleWithGeneratedCode(String spaceCode, String sampleTypeCode)`
  Create a new sample to register with the openBIS AS.
  `ISpace`
  `createNewSpace(String spaceCode, String spaceAdminUserIdOrNull)`
  Create a new space to register with the openBIS AS.
  `IVocabularyTerm`
  `createNewVocabularyTerm()`
  Creates a new vocabulary term, which has to be assigned to a `IVocabulary`.
  `InputStream`
  `getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment, String fileName, Integer versionOrNull)`
  Returns an experiment attachment content.
  `InputStream`
  `getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project, String fileName, Integer versionOrNull)`
  Returns a project attachment content.
  `InputStream`
  `getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample, String fileName, Integer versionOrNull)`
  Returns a sample attachment content.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`
  `getAuthorizationService()`
  `net.lemnik.eodsql.DynamicTransactionQuery`
  `getDatabaseQuery(String dataSourceName)`
  Gets a database query object for the data source with the specified name.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`
  `getDataSet(String dataSetCode)`
  Deprecated.
  Use `SearchService.getDataSet(String)`
  `IDataSetUpdatable`
  `getDataSetForUpdate(String dataSetCode)`
  Get a data set from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperiment(String experimentIdentifierString)`
  Deprecated.
  Use `SearchService.getExperiment(String)`
  `IExperimentUpdatable`
  `getExperimentForUpdate(String experimentIdentifierString)`
  Get an experiment from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`
  `getExternalDataManagementSystem(String externalDataManagementSystemCode)`
  Get an external data management system from the openBIS AS.
  `ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState`
  `getGlobalState()`
  `File`
  `getIncoming()`
  Returns the file representing the logical incoming file.
  `IDSSRegistrationLogger`
  `getLogger()`
  Returns the logger object that logs messages to openbis operation log and data store server registration logs.
  `IMetaproject`
  `getMetaproject(String name)`
  Only allowed when the user is available.
  `IMetaproject`
  `getMetaproject(String name, String ownerId)`
  Only allowed when the user is not available.
  `String`
  `getOpenBisServiceSessionToken()`
  Returns the currently used session token by the openBIS service
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`
  `getProject(String projectIdentifier)`
  Deprecated.
  Use `SearchService.getProject(String)`
  `IProject`
  `getProjectForUpdate(String projectIdentifierString)`
  Get an project from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext`
  `getRegistrationContext()`
  Return a registration context object which can be used to store information that needs to be accessed through the registration process.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`
  `getSample(String sampleIdentifierString)`
  Deprecated.
  Use `SearchService.getSample(String)`
  `ISample`
  `getSampleForUpdate(String sampleIdentifierString)`
  Get a sample from the openBIS AS for the purpose of modifying it.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`
  `getSearchService()`
  Retrieve the search service for this transaction.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`
  `getSearchServiceFilteredForUser(String userId)`
  Retrieve the search service for this transaction.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`
  `getSearchServiceUnfiltered()`
  Retrieve the search service for this transaction.
  `Map<String,String>`
  `getServerInformation()`
  Returns information about the openBIS server.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`
  `getSpace(String spaceCode)`
  Deprecated.
  Use `SearchService.getSpace(String)`
  `String`
  `getUserId()`
  Get the id of the user on whose behalf this registration transaction is performed.
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`
  `getVocabulary(String code)`
  Deprecated.
  Use `SearchService.getVocabulary(String)`
  `IVocabulary`
  `getVocabularyForUpdate(String code)`
  Get the vocabulary with given code
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable>`
  `listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Returns a list of experiment attachments with all versions.
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable>`
  `listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)`
  Returns a list of project attachments with all versions.
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable>`
  `listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)`
  Returns a list of sample attachments with all versions.
  `IDataSetUpdatable`
  `makeDataSetMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable dataSet)`
  Given an immutable data set, make it mutable.
  `IExperimentUpdatable`
  `makeExperimentMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Given an immutable experiment, make it mutable.
  `IProject`
  `makeProjectMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)`
  Given an immutable project, make it mutable.
  `ISample`
  `makeSampleMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)`
  Given an immutable sample, make it mutable.
  `String`
  `moveFile(String src, IDataSet dst)`
  Move a file from into the root of a data set.
  `String`
  `moveFile(String src, IDataSet dst, String dstInDataset)`
  Move a file to a specified location in a data set.
  `void`
  `revokeRoleFromSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)`
  Take away users and/or groups access privileges to a space.
  `void`
  `setUserId(String userIdOrNull)`
  Set the id of the user on whose behalf this registration transaction is performed.

- ## Method Details

  - ### createNewDataSet

    IDataSet createNewDataSet()
    Create a new data set for registration in openBIS.

  - ### createNewDataSet

    IDataSet createNewDataSet(String dataSetType)
    Create a new data set with the specified code.

  - ### createNewDataSet

    IDataSet createNewDataSet(String dataSetType, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)

  - ### createNewDataSet

    IDataSet createNewDataSet(String dataSetType, String dataSetCode)
    Create a new data set with the specified type and code.

  - ### createNewDataSet

    IDataSet createNewDataSet(String dataSetType, String dataSetCode, ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind datasetKindOrNull)

  - ### getDataSet

    @Deprecated ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable getDataSet(String dataSetCode)
    Deprecated.
    Use `SearchService.getDataSet(String)`
    Get a data set from the openBIS AS. Returns null if the data set does not exist.
    Returns:
      A data set or null

  - ### getDataSetForUpdate

    IDataSetUpdatable getDataSetForUpdate(String dataSetCode)
    Get a data set from the openBIS AS for the purpose of modifying it. Returns null if the data set does not exist.
    Returns:
      A data set or null

  - ### makeDataSetMutable

    IDataSetUpdatable makeDataSetMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable dataSet)
    Given an immutable data set, make it mutable.
    Returns:
      A data set

  - ### getSample

    @Deprecated ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable getSample(String sampleIdentifierString)
    Deprecated.
    Use `SearchService.getSample(String)`
    Get a sample from the openBIS AS. Returns null if the sample does not exist.
    Returns:
      A sample or null

  - ### getSampleForUpdate

    ISample getSampleForUpdate(String sampleIdentifierString)
    Get a sample from the openBIS AS for the purpose of modifying it. Returns null if the sample does not exist.
    Returns:
      A sample or null

  - ### makeSampleMutable

    ISample makeSampleMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)
    Given an immutable sample, make it mutable.
    Returns:
      A sample

  - ### createNewSample

    ISample createNewSample(String sampleIdentifierString, String sampleTypeCode)
    Create a new sample to register with the openBIS AS. The sample will have a permId.
    Parameters:
      `sampleIdentifierString` - The identifier for the new sample
      `sampleTypeCode` - The code of the type for the new sample

  - ### createNewSampleWithGeneratedCode

    ISample createNewSampleWithGeneratedCode(String spaceCode, String sampleTypeCode)
    Create a new sample to register with the openBIS AS. The sample will have a permId and automatically created identifier.
    Parameters:
      `spaceCode` - The space in which to create the sample identifier for the new sample
      `sampleTypeCode` - The code of the type for the new sample

  - ### createNewProjectSampleWithGeneratedCode

    ISample createNewProjectSampleWithGeneratedCode(String projectIdentifier, String sampleTypeCode)
    Create a new project sample to register with the openBIS AS. The sample will have a permId and automatically created identifier.
    Parameters:
      `projectIdentifier` - The project in which to create the sample identifier for the new sample
      `sampleTypeCode` - The code of the type for the new sample

  - ### getExperiment

    @Deprecated ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperiment(String experimentIdentifierString)
    Deprecated.
    Use `SearchService.getExperiment(String)`
    Get an experiment from the openBIS AS.

  - ### getExperimentForUpdate

    IExperimentUpdatable getExperimentForUpdate(String experimentIdentifierString)
    Get an experiment from the openBIS AS for the purpose of modifying it.

  - ### makeExperimentMutable

    IExperimentUpdatable makeExperimentMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Given an immutable experiment, make it mutable.
    Returns:
      An experiment

  - ### createNewExperiment

    IExperiment createNewExperiment(String experimentIdentifierString, String experimentTypeCode)
    Create a new experiment to register with the openBIS AS. The experiment will have a permId.
    Parameters:
      `experimentIdentifierString` - The identifier for the new experiment
      `experimentTypeCode` - The code of the type for the new experiment

  - ### createNewProject

    IProject createNewProject(String projectIdentifier)
    Create a new project to register with the openBIS AS.
    Parameters:
      `projectIdentifier` - .

  - ### getProject

    @Deprecated ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable getProject(String projectIdentifier)
    Deprecated.
    Use `SearchService.getProject(String)`
    Get a project from the openBIS AS. Returns null if the project does not exist.
    Returns:
      A project or null

  - ### getProjectForUpdate

    IProject getProjectForUpdate(String projectIdentifierString)
    Get an project from the openBIS AS for the purpose of modifying it.

  - ### makeProjectMutable

    IProject makeProjectMutable(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)
    Given an immutable project, make it mutable.
    Returns:
      A mutable project.

  - ### createNewSpace

    ISpace createNewSpace(String spaceCode, String spaceAdminUserIdOrNull)
    Create a new space to register with the openBIS AS.
    Parameters:
      `spaceCode` - the code of the space
      `spaceAdminUserIdOrNull` - the user id of the person, who will receive space admin priviliges.

  - ### getSpace

    @Deprecated ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable getSpace(String spaceCode)
    Deprecated.
    Use `SearchService.getSpace(String)`
    Get a space from the openBIS AS. Returns null if the space does not exist.
    Returns:
      A space or null

  - ### createNewMetaproject

    IMetaproject createNewMetaproject(String name, String description)
    Creates the new metaproject for the current user. Only allowed when there is a user available.

  - ### createNewMetaproject

    IMetaproject createNewMetaproject(String name, String description, String ownerId)
    Creates the new metaproject for the specified user. Only allowed when there is no user available.

  - ### getMetaproject

    IMetaproject getMetaproject(String name)
    Only allowed when the user is available.
    Returns:
      metaproject with given name for current user.

  - ### getMetaproject

    IMetaproject getMetaproject(String name, String ownerId)
    Only allowed when the user is not available.
    Returns:
      metaproject with given name for specified user.

  - ### getVocabulary

    @Deprecated ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable getVocabulary(String code)
    Deprecated.
    Use `SearchService.getVocabulary(String)`
    Get the read-only vocabulary with given code

  - ### getVocabularyForUpdate

    IVocabulary getVocabularyForUpdate(String code)
    Get the vocabulary with given code

  - ### createNewVocabularyTerm

    IVocabularyTerm createNewVocabularyTerm()
    Creates a new vocabulary term, which has to be assigned to a `IVocabulary`.

  - ### moveFile

    String moveFile(String src, IDataSet dst)
    Move a file from into the root of a data set.
    Parameters:
      `src` - The path of the file to move.
      `dst` - The data set to add the file to.
    Returns:
      The absolute path after the move.

  - ### moveFile

    String moveFile(String src, IDataSet dst, String dstInDataset)
    Move a file to a specified location in a data set. Any necessary intermediate folders are automatically created.
    Parameters:
      `src` - The path of the file to move.
      `dst` - The data set to add the file to.
      `dstInDataset` - The path of the file in the data set
    Returns:
      The absolute path after the move.

  - ### createNewDirectory

    String createNewDirectory(IDataSet dst, String dirName)
    Create a new directory and return the path.
    Parameters:
      `dst` - The data set to add the file to.
      `dirName` - The name of the new file to create. (Can be a simple file or directory.)
    Returns:
      The absolute path of the new file.

  - ### createNewFile

    String createNewFile(IDataSet dst, String fileName)
    Create a new empty file and return the path.
    Parameters:
      `dst` - The data set to add the file to.
      `fileName` - The name of the new file to create. (Can be a simple file or directory.)
    Returns:
      The absolute path of the new file.

  - ### createNewFile

    String createNewFile(IDataSet dst, String dstInDataset, String fileName)
    Create a new empty file and return the path.
    Parameters:
      `dst` - The data set to add the file to.
      `dstInDataset` - The path of the file in the data set
      `fileName` - The name of the new file to create. (Can be a simple file or directory.)
    Returns:
      The absolute path of the new file.

  - ### createNewLink

    String createNewLink(IDataSet dst, String dstInDataset, String linkName, String linkTarget)
    Create a new symbolic link and return the path.
    Parameters:
      `dst` - The data set to add the file to.
      `dstInDataset` - The path of the file in the data set
      `linkName` - The name of the new link to create
      `linkTarget` - The path of file/directory the new link should point to
    Returns:
      The absolute path of the new link.

  - ### getSearchService

    ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService getSearchService()
    Retrieve the search service for this transaction. If the user is available for this transaction, then the search service results will be filtered for this user.
    Returns:
      The search service for this transaction.

  - ### getSearchServiceUnfiltered

    ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService getSearchServiceUnfiltered()
    Retrieve the search service for this transaction. It returns the results unfiltered by the user, even if the user is available.
    Returns:
      The search service for this transaction.

  - ### getSearchServiceFilteredForUser

    ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService getSearchServiceFilteredForUser(String userId)
    Retrieve the search service for this transaction. The search service results will be filtered for the specified user.
    Returns:
      The search service for this transaction.

  - ### getAuthorizationService

    ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService getAuthorizationService()
    Returns:
      A service which can be used to get authorization information about a user.

  - ### getDatabaseQuery

    net.lemnik.eodsql.DynamicTransactionQuery getDatabaseQuery(String dataSourceName) throws IllegalArgumentException
    Gets a database query object for the data source with the specified name.

    After the rest of the transaction is committed, the queries are committed. Failures in these secondary queries are not fatal, but they are caught and the clients of the transaction are notified.

    Parameters:
      `dataSourceName` - The name of the data source to query against, as declared in the service.properties file.
    Returns:
      The query.
    Throws:
      `IllegalArgumentException`

  - ### getRegistrationContext

    ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext getRegistrationContext()
    Return a registration context object which can be used to store information that needs to be accessed through the registration process.

    It is important to use this registration context, and not global variables, for communication between code in different parts of the registration process. This is because the registration process is not guaranteed to run in a single process.

    Returns:
      The context, a hash-map-like object.

  - ### getGlobalState

    ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState getGlobalState()
    Returns:
      Global state for this dropbox, including configuration properties specified by the user.

  - ### getServerInformation

    Map<String,String> getServerInformation()
    Returns information about the openBIS server.

  - ### getIncoming

    File getIncoming()
    Returns the file representing the logical incoming file.

  - ### getUserId

    String getUserId()
    Get the id of the user on whose behalf this registration transaction is performed.
    Returns:
      A userId or null, if there is none.

  - ### setUserId

    void setUserId(String userIdOrNull)
    Set the id of the user on whose behalf this registration transaction is performed.
    Parameters:
      `userIdOrNull` - The id of a user or null if this transaction should be performed as the system (etlserver).

  - ### getExternalDataManagementSystem

    ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable getExternalDataManagementSystem(String externalDataManagementSystemCode)
    Get an external data management system from the openBIS AS. Returns null if the object does not exist.
    Returns:
      external data management system or null

  - ### assignRoleToSpace

    void assignRoleToSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)
    Give users and/or groups access privileges to a space.

  - ### revokeRoleFromSpace

    void revokeRoleFromSpace(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy.RoleCode role, ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable space, List<String> userIds, List<String> groupCodes)
    Take away users and/or groups access privileges to a space.

  - ### getAttachmentContent

    InputStream getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project, String fileName, Integer versionOrNull)
    Returns a project attachment content. If the version is not specified then the latest version of the attachment is returned. Returns null if the attachment does not exist.

  - ### getAttachmentContent

    InputStream getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment, String fileName, Integer versionOrNull)
    Returns an experiment attachment content. If the version is not specified then the latest version of the attachment is returned. Returns null if the attachment does not exist.

  - ### getAttachmentContent

    InputStream getAttachmentContent(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample, String fileName, Integer versionOrNull)
    Returns a sample attachment content. If the version is not specified then the latest version of the attachment is returned. Returns null if the attachment does not exist.

  - ### listAttachments

    List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable> listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)
    Returns a list of project attachments with all versions. Returns null if the project does not have any attachments.

  - ### listAttachments

    List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable> listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Returns a list of experiment attachments with all versions. Returns null if the experiment does not have any attachments.

  - ### listAttachments

    List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable> listAttachments(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sample)
    Returns a list of sample attachments with all versions. Returns null if the sample does not have any attachments.

  - ### getOpenBisServiceSessionToken

    String getOpenBisServiceSessionToken()
    Returns the currently used session token by the openBIS service

  - ### getLogger

    IDSSRegistrationLogger getLogger()
    Returns the logger object that logs messages to openbis operation log and data store server registration logs.